# TdApi.SendChatAction (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SendChatAction

Package it.tdlight.jni

# Class TdApi.SendChatAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SendChatAction

Enclosing class:
  TdApi

    public static class TdApi.SendChatAction
    extends TdApi.Function

Sends a notification about user activity in a chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.ChatAction` | `action` | The action description; pass null to cancel the currently active action.
`long` | `chatId` | Chat identifier.
`static int` | `CONSTRUCTOR` |
`long` | `messageThreadId` | If not 0, a message thread identifier in which the action was performed.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SendChatAction()` | Sends a notification about user activity in a chat.
`SendChatAction​(long chatId, long messageThreadId, TdApi.ChatAction action)` | Sends a notification about user activity in a chat.
`SendChatAction​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageThreadId

public long messageThreadId
If not 0, a message thread identifier in which the action was performed.

### action

public TdApi.ChatAction action
The action description; pass null to cancel the currently active action.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SendChatAction

public SendChatAction()
Sends a notification about user activity in a chat.

Returns `Ok`

### SendChatAction

public SendChatAction​(long chatId, long messageThreadId, TdApi.ChatAction action)
Sends a notification about user activity in a chat.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `messageThreadId` - long If not 0, a message thread identifier in which the action was performed.
  `action` - ChatAction The action description; pass null to cancel the currently active action.

### SendChatAction

public SendChatAction​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`